Subject: Re: [Tsvwg] one-to-many/one-to-one socket API extension for SCTP

From: "K S A" <[email-masked]>
Date: Thu, 06 Nov 2003 03:44:34 +0000

>
>On Wed, 5 Nov 2003, Randall R. Stewart (home) wrote:
>
> > K S A wrote:
> >
> > >
> > > I have question about the RTO.min value.  The draft says that there is
> > > one RTO.min value per stack.
> >
> >
> > What draft are you talking about? Socketsapi?

draft-ietf-tsvwg-sctpsocket-07.txt on the WG page.
Where is/are the lastest references? I had read RFC2960 which also has this 
limitation.

- Thanks, Kulwinder.

> >
> > >   But, it is possible a host could have one association that travels
> > > over the public Internet and others that travel over a short (a few
> > > meters) high speed links.  But, the lower latency local links will be
> > > forced to take at least the RTO.min value when re-transmitting data.
> > >
> > > While it may have been shown that a RTO.min value of 1 second is
> > > appropriate for the public Internet, it seems to unduly slow recovery
> > > of low latency local links.
> > >
> > > Could there not be a RTO.min value per association to accomodate this
> > > difference in latency that allows each link to operate efficiently?
> > >
> > I know in KAME we implemented a RTO.min per endpoint.. which is
> > inherited from the
> > RTO.min of the system.. that way you could change things for those
> > special cases.
>
>Even in LK-SCTP, all the RTO parameters(initial, min and max) are tunable

>per association or endpoint. This can be done using the new SCTP_RTOINFO
>socket option defined in the sockets api extension draft.
>
>Thanks
>Sridhar
>
> >
> > R
> >
> > > - Kulwinder.
> > >
> > > _________________________________________________________________
> > > Add photos to your e-mail with MSN 8. Get 2 months FREE*.
> > > 
>http://join.msn.com/?page=features/photos&pgmarket=en-ca&RU=http%3a%2f%2fjoin.msn.com%2f%3fpage%3dmisc%2fspecialoffers%26pgmarket%3den-ca
> > >
> > >
> > >
> > >
> >
> >
> >
>
>
>_______________________________________________
>tsvwg mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/tsvwg

_________________________________________________________________
The new MSN 8: smart spam protection and 2 months FREE*  
http://join.msn.com/?page=features/junkmail  
http://join.msn.com/?page=dept/bcomm&pgmarket=en-ca&RU=http%3a%2f%2fjoin.msn.com%2f%3fpage%3dmisc%2fspecialoffers%26pgmarket%3den-ca

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg